%define tarball xf86-video-ati
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 ati video driver
Name:      	xorg-x11-drv-ati
Version:	6.13.2
Release:	3
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0:   	%{tarball}-%{version}.tar.bz2
Source1:	radeon.xinf

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk >= 1.1.1
BuildRequires: 	mesa-libGL-devel
BuildRequires: 	libdrm-devel
BuildRequires:	pixman-devel
BuildRequires:	libpciaccess-devel

Requires:  	xorg-x11-server-Xorg >= 1.1.1
Obsoletes:	Xdriver-ati

%description 
X.Org X11 ati video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
#./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases                      
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# INFO: We don't want to ship the libtool archives (*.la) from modules
# directory, as they serve no useful purpose.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/ati_drv.so
%{driverdir}/radeon_drv.so
%{moduledir}/multimedia/theatre200_drv.so
%{moduledir}/multimedia/theatre_detect_drv.so
%{moduledir}/multimedia/theatre_drv.so
%{_datadir}/hwdata/videoaliases/radeon.xinf
%{_mandir}/man4/ati.4*
%{_mandir}/man4/radeon.4*

%changelog
* Thu Dec 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.13.2-3
- rebuilt against xorg-x11-server 1.9.3
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.13.2-2
- rebuilt
* Thu Oct 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.13.2-1
- version update
* Mon Aug 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.13.1-3
- rebuilt against xorg-x11-server 1.9.0
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.13.1-2
- rebuilt
* Wed Jul 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.13.1-1
- version update
* Wed Apr 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 6.13.0-1
- version update
* Wed Dec 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.12.99-2
- rebuilt against xorg-x11-server 1.7.3-1
* Sun Nov 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.12.99-1
- version update
- git master 2009/11/29 
* Tue Oct 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.12.4-2
- rebuilt against xorg-x11-server 1.7.1-1
* Tue Oct 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.12.4-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.12.2-3
- rebuilt 
* Wed Apr 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.12.2-1
- Version update
* Fri Mar 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.12.1-1
- Version update
* Mon Mar 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.12.0-1
- Version update
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.11.0-1
- Version update
* Wed Jan 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 6.10.0-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 6.9.0-1
- Version update
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.7.197-1
- Version update
* Sat Nov 13 2007 Stefan Gottwald <gotti@ccux-linux.de> 6.7.196-1
- Version update
* Sun Oct 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.7.195-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.7.192-1
- Version update
* Tue Aug 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.6.193-1
- Version update
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.6.192-1
- Version update
* Fri Nov 24 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.3-2
- stable 6.6.3 version update
* Sun Nov 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 6.6.3-1
- Version Update to git version
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.2-2
- Added obsoletes for old xorg package
* Sun Sep 10 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.2-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.1-1
- Initial release
